package com.book.server.controller;

import com.book.server.common.entity.PageResult;
import com.book.server.common.entity.Result;
import com.book.server.dao.entity.Book;
import com.book.server.model.VO.QueryVO;
import com.book.server.service.BookService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 书籍
 */
@RestController
@CrossOrigin
@RequestMapping("/book")
public class BookController extends BaseController {
    @Autowired
    private BookService bookService;

    /**
     * 书库查询
     * @param queryVO
     * @return
     */
    @PostMapping("/query")
    public PageResult<Book> query(@RequestBody QueryVO queryVO) {
        return bookService.query(queryVO);
    }
}
